<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2013 IMIA net based solutions (d.frerich@imia.de)
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

namespace IMIA\ImiaBaseExt\Metadata;

/**
 * @package     imia_base_ext
 * @subpackage  Metadata
 * @author      David Frerich <d.frerich@imia.de>
 */
class PropertyMetadata extends \Metadata\PropertyMetadata
{
    /**
     * @var \IMIA\ImiaBaseExt\Annotation\SQL\Column
     */
    public $sqlColumn;

    /**
     * @var \IMIA\ImiaBaseExt\Annotation\TCA\Column
     */
    public $tcaColumn;

    /**
     * @var \IMIA\ImiaBaseExt\Annotation\TCA\SearchField
     */
    public $tcaSearchField;

    /**
     * @var \IMIA\ImiaBaseExt\Annotation\TCA\AddToTypes
     */
    public $tcaAddToTypes;
}
