<?php
/***************************************************************
 *  Copyright notice
 *
 *  (c) 2013-2014 IMIA net based solutions (d.frerich@imia.de)
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

if (!defined ('TYPO3_MODE')) {
    die ('Access denied.');
}

if (getenv('APPLICATION_ENV') == 'dev') {
    $extConf = unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf'][$_EXTKEY]);
    $extConf['devMode'] = true;
    $GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf'][$_EXTKEY] = serialize($extConf);

    if (\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::isLoaded('imia_t3um')) {
        $extConfT3UM = unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['imia_t3um']);
        $extConfT3UM['devMode'] = true;
        $GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['imia_t3um'] = serialize($extConfT3UM);
    }

    $GLOBALS['TYPO3_CONF_VARS']['SYS']['devIPmask'] = '*';
    $GLOBALS['TYPO3_CONF_VARS']['SYS']['sqlDebug'] = 1;
    $GLOBALS['TYPO3_CONF_VARS']['SYS']['displayErrors'] = true;
    $GLOBALS['TYPO3_CONF_VARS']['BE']['debug'] = true;
    $GLOBALS['TYPO3_CONF_VARS']['FE']['debug'] = true;
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addUserTSConfig('options.clearCache.system = 1');

    foreach ($_REQUEST as $key => $val) {
        if (is_array($val)) {
            foreach ($val as $subkey => $subval) {
                if (strtolower($subkey) == 'format' && strtolower($subval) != 'html') {
                    $GLOBALS['TYPO3_CONF_VARS']['FE']['debug'] = false;
                    break;
                }
            }
        } elseif (strtolower($key) == 'format' && strtolower($val) != 'html') {
            $GLOBALS['TYPO3_CONF_VARS']['FE']['debug'] = false;
            break;
        }
    }
}

@require_once('ErrorHandler.php');